ChartDirector Ver 5.0 (PHP Edition)

VectorLayer.setArrowStem

Usage

setArrowStem(polygon)

Description

Sets a custom shape to be used as the arrow stem.
By default, the arrow stem is just a straight line, with the line width controlled using Layer.setLineWidth. The setArrowStem method can specify a custom shape for the arrow stem.
The custom shape is specified as an array of integers x0, y0, x1, y1, x2, y2 ... representing the coordinates of the vertices of the custom polygonal shape.
The polygon should be defined with a bounding square of 10 x 100 units, in which the x-axis is from left to right, and the y-axis from bottom to top. The origin is assumed to be the starting point of the arrow stem, and the shape is assumed to represent an arrow stem pointing upwards.
ChartDirector will automatically scale the shape so that the total arrow length (head + stem) is the required length of the arrow as according to actual data, and the stem width is as specified in Layer.setLineWidth.

Arguments

Argument | Default | Description
--- | --- | ---
polygon | (Mandatory) | An array of integers x0, y0, x1, y1, x2, y2 ... representing the coordinates the polygon vertices on a 10 x 100 units grid.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.